//       1         2         3         4         5         6         7
// 4567890123456789012345678901234567890123456789012345678901234567890123456789

package la.util;
// ----------------------------------------------------------------------------

/* Copyright (c) 2018 Lloyd Allison.

   Reference: 
     Lloyd Allison, "Coding Ockham's Razor", Springer, 2018.

   This file is free software: you can redistribute it and/or modify it
   under the terms of the GNU General Public License (GPL) as published
   by the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This file is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this file. If not, see http://www.gnu.org/licenses/
 */
// ----------------------------------------------------------------------------

/** Class for a "by reference", "variable", or
    "result" <B>int</B> parameter. That is, a parameter that a
    procedure (method, (sub)routine, function) can change.  */
public class RefInt
 { /** The <B>int</B> value itself.  */
   public int n;

   /** The {@link #n value} is not yet set.  */
   public RefInt() { }//constructor

   /** The {@link #n value} is set to 'n'. It can be changed.  */
   public RefInt(int n) { this.n = n; }//constructor

   /** Return {@link #n} &mdash; as a String.  */
   public String toString() { return ""+n; }

 }//RefInt class

// (c) Lloyd Allison Wed 5 July 2017. Licence to 'RefInt' is Gnu GPL.
